<?php

namespace WPDesk\FPF\Pro\Field\Type;

use WPDesk\FPF\Free\Field\Type\ColorType as DefaultColorType;
use WPDesk\FPF\Free\Settings\Tab\GeneralTab;
use WPDesk\FPF\Free\Settings\Tab\LogicTab;
use WPDesk\FPF\Free\Settings\Tab\PricingTab;
use WPDesk\FPF\Pro\Settings\Option\DefaultColorOption;
use WPDesk\FPF\Pro\Settings\Option\LogicEnabledOption;
use WPDesk\FPF\Pro\Settings\Option\LogicOperatorOption;
use WPDesk\FPF\Pro\Settings\Option\LogicRulesOption;
use WPDesk\FPF\Pro\Settings\Option\PriceTypeOption;
use WPDesk\FPF\Pro\Settings\Option\PriceValueOption;

/**
 * .
 */
class ColorType extends DefaultColorType {

	/**
	 * {@inheritdoc}
	 */
	public function get_options_objects(): array {
		$options = array_merge(
			parent::get_options_objects(),
			[
				PricingTab::TAB_NAME => [
					PriceTypeOption::FIELD_NAME  => new PriceTypeOption(),
					PriceValueOption::FIELD_NAME => new PriceValueOption(),
				],
				LogicTab::TAB_NAME   => [
					LogicEnabledOption::FIELD_NAME  => new LogicEnabledOption(),
					LogicOperatorOption::FIELD_NAME => new LogicOperatorOption(),
					LogicRulesOption::FIELD_NAME    => new LogicRulesOption(),
				],
			]
		);

		if ( class_exists( 'WPDesk\FPF\Free\Settings\Option\DefaultOption' ) ) {
			$options[ GeneralTab::TAB_NAME ][ DefaultColorOption::FIELD_NAME ] = new DefaultColorOption();
		}

		return $options;
	}
}
