<?php

namespace WPDesk\FPF\Pro\Field\Type;

use WPDesk\FPF\Free\Field\Type\RadioType as DefaultRadioType;
use WPDesk\FPF\Free\Settings\Tab\GeneralTab;
use WPDesk\FPF\Free\Settings\Tab\LogicTab;
use WPDesk\FPF\Free\Settings\Tab\PricingTab;
use WPDesk\FPF\Pro\Settings\Option\DefaultOption;
use WPDesk\FPF\Pro\Settings\Option\LogicEnabledOption;
use WPDesk\FPF\Pro\Settings\Option\LogicOperatorOption;
use WPDesk\FPF\Pro\Settings\Option\LogicRulesOption;
use WPDesk\FPF\Pro\Settings\Option\PriceValuesOption;

/**
 * .
 */
class RadioType extends DefaultRadioType {

	/**
	 * {@inheritdoc}
	 */
	public function get_options_objects(): array {
		$options = array_merge(
			parent::get_options_objects(),
			[
				PricingTab::TAB_NAME => [
					PriceValuesOption::FIELD_NAME => new PriceValuesOption(),
				],
				LogicTab::TAB_NAME   => [
					LogicEnabledOption::FIELD_NAME  => new LogicEnabledOption(),
					LogicOperatorOption::FIELD_NAME => new LogicOperatorOption(),
					LogicRulesOption::FIELD_NAME    => new LogicRulesOption(),
				],
			]
		);

		if ( class_exists( 'WPDesk\FPF\Free\Settings\Option\DefaultOption' ) ) {
			$options[ GeneralTab::TAB_NAME ][ DefaultOption::FIELD_NAME ] = new DefaultOption();
		}

		return $options;
	}
}
